summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-action/chickens
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-action/chickens')
-rw-r--r--games-action/chickens/Manifest1
-rw-r--r--games-action/chickens/chickens-0.2.4.ebuild59
-rw-r--r--games-action/chickens/metadata.xml5
3 files changed, 65 insertions, 0 deletions
diff --git a/games-action/chickens/Manifest b/games-action/chickens/Manifest
new file mode 100644
index 00000000000..898ae81c965
--- /dev/null
+++ b/games-action/chickens/Manifest
@@ -0,0 +1 @@
+DIST ChickensForLinux-Linux-0.2.4.tar.gz 1455207 SHA256 604dc614793b5bee2346639df14ab846cf878fed09ef695804d5aa21d85b518b SHA512 d94a70818a766fde443e86184418990d789246c239da01c6c1a2c9e7d8c1d6bb52ed28efbb4ecdb6b079c585e1ba18bc8efcd4f1cbf718ff39757831265c7a78 WHIRLPOOL 2b1d7c088dac8d975eb7b45b138f6786ae6aaa6bcaf5be1554b80f8fa397560a43d209c0fe5fd0491531b1f1e41db1706482bab23c85f00f86482db0b3070947
diff --git a/games-action/chickens/chickens-0.2.4.ebuild b/games-action/chickens/chickens-0.2.4.ebuild
new file mode 100644
index 00000000000..b40213dba25
--- /dev/null
+++ b/games-action/chickens/chickens-0.2.4.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+inherit eutils games
+
+MY_P="ChickensForLinux-Linux-${PV}"
+DESCRIPTION="Target chickens with rockets and shotguns. Funny"
+HOMEPAGE="http://www.chickensforlinux.com/"
+SRC_URI="http://www.chickensforlinux.com/${MY_P}.tar.gz"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE=""
+RESTRICT="mirror bindist"
+
+DEPEND="<media-libs/allegro-5"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${PN}
+
+src_prepare() {
+ sed -i \
+ -e "s:HighScores:${GAMES_STATEDIR}/${PN}/HighScores:" \
+ -e "s:....\(.\)\(_\)\(.*.4x0\)\(.\):M\4\2\x42\x6Fn\1s\2:" \
+ highscore.cpp HighScores \
+ || die "sed failed"
+ sed -i \
+ -e "s:options.cfg:${GAMES_SYSCONFDIR}/${PN}/options.cfg:" \
+ -e "s:\"sound/:\"${GAMES_DATADIR}/${PN}/sound/:" \
+ -e "s:\"dat/:\"${GAMES_DATADIR}/${PN}/dat/:" \
+ main.cpp README \
+ || die "sed failed"
+ sed -i \
+ -e '/^CPPFLAGS/d' \
+ -e 's:g++:\\$(CXX) \\$(CXXFLAGS) \\$(LDFLAGS):' \
+ configure \
+ || die "sed failed"
+}
+
+src_configure() {
+ bash ./configure || die "configure failed"
+}
+
+src_install() {
+ dogamesbin ${PN}
+ insinto "${GAMES_DATADIR}"/${PN}
+ doins -r dat sound
+ dodoc AUTHOR README
+ insinto "${GAMES_STATEDIR}"/${PN}
+ doins HighScores
+ insinto "${GAMES_SYSCONFDIR}"/${PN}
+ doins options.cfg
+ fperms g+w "${GAMES_STATEDIR}"/${PN}/HighScores
+ make_desktop_entry ${PN} Chickens
+ prepgamesdirs
+}
diff --git a/games-action/chickens/metadata.xml b/games-action/chickens/metadata.xml
new file mode 100644
index 00000000000..d3c2cc926f0
--- /dev/null
+++ b/games-action/chickens/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>